Printago API
GET /v1/sku-variants/values

Get all variant values for a store

Requires: sku.view

Response Schema

SkuOptionValue[]
Array of SkuOptionValue, each with:
aliasesoptionalnullable
string[]
Alternate names (as the merchant typed them) that resolve to this value.
createdAtrequired
string
format: date-time
idrequired
string
pattern: ^[a-z0-9]{24}$
namerequired
string
optionIdrequirednullable
string
pattern: ^[a-z0-9]{24}$
orderrequired
number
skuSuffixesoptionalnullable
string[]
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time

Example Response

200 OK — application/json
[
  {
    "name": "string",
    "optionId": "string",
    "skuSuffixes": [
      "string"
    ],
    "aliases": [
      "string"
    ],
    "order": 1,
    "id": "string",
    "storeId": "string",
    "createdAt": "2025-01-15T12:00:00.000Z",
    "updatedAt": "2025-01-15T12:00:00.000Z"
  }
]